Subject: Re: Multiple remote.<...>.fetch and .push patterns

From: Jon Loeliger <[email-masked]>
Date: Mon, 30 Jun 2008 14:29:56 -0500

Adr3nal D0S wrote:
> How can I do something like what is shown in Everyday git using git-config?
> 
> $ cat .git/remotes/ko
> URL: kernel.org:/pub/scm/git/git.git
> Pull: master:refs/tags/ko-master
> Pull: next:refs/tags/ko-next
> Pull: maint:refs/tags/ko-maint
> Push: master
> Push: next
> Push: +pu
> Push: maint
> 
> I know I can do:
> 
> git config remote.ko.fetch refs/heads/*:refs/tags/ko-*
> 
> but that will get all KO heads.  And I have no clue about the push version.

The file is editable!

You can have both Push: and Pull: lines for a remote there.

Or have I misunderstood your question here?

jdl